Name: opencdk
Version: 0.6.4
Release: alt1

%def_disable static
%def_enable check

Packager: Pavlov Konstantin <thresh@altlinux.ru>
Summary: Open Crypto Development Kit
Group: System/Libraries
License: GPL
Url: http://www.gnutls.org/

%define pkgdocdir %_docdir/%name-%version

%define gcrypt_ver 1.1.94

Source: ftp://ftp.gnupg.org/gcrypt/alpha/gnutls/%name/%name-%version.tar.bz2

BuildRequires: libgcrypt-devel >= %gcrypt_ver
BuildRequires: libgpg-error-devel zlib-devel

%description
This library provides basic parts of the OpenPGP message format.

%package -n lib%name
Summary: Open Crypto Development Kit shared library
Group: System/Libraries
Requires: libgcrypt >= %gcrypt_ver

%description -n lib%name
This library provides basic parts of the OpenPGP message format.

%package -n lib%name-devel
Summary: Development files for OpenCDK
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Headers and other files needed to develop applications using
the OpenCDK library.

%package -n lib%name-devel-static
Summary: Static build of OpenCDK
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static build of the OpenCDK library.

%prep
%setup -q

%build
%__autoreconf
%configure --disable-dependency-tracking %{subst_enable static}
%make_build

%if_enabled check
%make check
%endif

%install
%make_install DESTDIR=%buildroot install

## GnuTLS used to need this
#__mkdir_p %buildroot%_datadir/aclocal
#__install -p -m644 src/opencdk.m4 %buildroot%_datadir/aclocal/

install -d -m755 %buildroot%pkgdocdir
install -p -m644 AUTHORS ChangeLog NEWS README THANKS TODO \
	%buildroot%pkgdocdir/
ln -s %_licensedir/GPL-2 %buildroot%pkgdocdir/COPYING
install -p -m644 doc/*.html %buildroot%pkgdocdir/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%dir %pkgdocdir
%pkgdocdir/[A-Z]*

%files -n lib%name-devel
%_bindir/*-config
%_libdir/*.so
%_includedir/*
#_datadir/aclocal/*
%pkgdocdir/*.html

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif	# enabled static

%changelog
* Fri Sep 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.6.4-alt1
- 0.6.4 release.

* Wed Feb 14 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.5.9-alt2
- Added Packager field.
- Minor specfile cleanup.

* Sun Sep 10 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.9-alt1
- Release 0.5.9
- Renamed the source package to opencdk

* Tue Nov 29 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.8-alt1
- 0.5.8

* Sun Aug 14 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.7-alt1
- Updated to 0.5.7

* Sat Oct 16 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.5-alt1
- New upstream release
- Built against libgcrypt 1.2

* Sat Mar 27 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.4-alt2
- Rebuilt against libgcrypt 1.1.93

* Sat Mar 06 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.4-alt1
- New upstream release
- Fixes to build with new autotools

* Thu Jan 29 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.3-alt1
- Initial release
